#!/usr/bin/perl

use strict;

for(my $i = 0; $i < 256; $i++)
{
   if( ($i & 0xc0) == 0x40 &&
       (($i - 1) & 0x1f) < 26 )
   {
      printf '0x%02x %s %s'."\n",
             $i,
             chr($i),
             chr((($i + 2) & 0x10) ? $i - 13
                                   : $i + 13);
   }
}


__DATA__
       0x41 A 0x42 B 0x43 C 0x44 D 0x45 E 0x46 F 0x47 G
0x48 H 0x49 I 0x4a J 0x4b K 0x4c L 0x4d M 0x4e N 0x4f O
0x50 P 0x51 Q 0x52 R 0x53 S 0x54 T 0x55 U 0x56 V 0x57 W
0x58 X 0x59 Y 0x5a Z

       0x61 a 0x62 b 0x63 c 0x64 d 0x65 e 0x66 f 0x67 g
0x68 h 0x69 i 0x6a j 0x6b k 0x6c l 0x6d m 0x6e n 0x6f o
0x70 p 0x71 q 0x72 r 0x73 s 0x74 t 0x75 u 0x76 v 0x77 w
0x78 x 0x79 y 0x7a z
